<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: epg/api/list_datasources_response.proto

namespace Tellie\Epg\Api;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.epg.api.ListDatasourcesResponse</code>
 */
class ListDatasourcesResponse extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Datasource datasources = 1;</code>
     */
    private $datasources;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type array<\Tellie\Epg\Model\Datasource>|\Google\Protobuf\Internal\RepeatedField $datasources
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Epg\Api\ListDatasourcesResponse::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Datasource datasources = 1;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getDatasources()
    {
        return $this->datasources;
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Datasource datasources = 1;</code>
     * @param array<\Tellie\Epg\Model\Datasource>|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setDatasources($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tellie\Epg\Model\Datasource::class);
        $this->datasources = $arr;

        return $this;
    }

}

